Bug 801741 - SELinux is preventing /usr/sbin/swat from 'read' accesses on the lnk_file /sbin.
Summary: SELinux is preventing /usr/sbin/swat from 'read' accesses on the lnk_file /sbin.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bef917f3376c4598bf928398a67...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-09 10:26 UTC by Barry Godusky
Modified: 2012-03-21 18:54 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 18:54:42 UTC
Type: ---


Attachments (Terms of Use)

Description Barry Godusky 2012-03-09 10:26:58 UTC
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
reason:         SELinux is preventing /usr/sbin/swat from 'read' accesses on the lnk_file /sbin.
time:           Fri 09 Mar 2012 05:26:46 AM EST

description:
:SELinux is preventing /usr/sbin/swat from 'read' accesses on the lnk_file /sbin.
:
:*****  Plugin leaks (50.5 confidence) suggests  ******************************
:
:If you want to ignore swat trying to read access the sbin lnk_file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/sbin/swat /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (50.5 confidence) suggests  ***************************
:
:If you believe that swat should be allowed read access on the sbin lnk_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep swat /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:swat_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:bin_t:s0
:Target Objects                /sbin [ lnk_file ]
:Source                        swat
:Source Path                   /usr/sbin/swat
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           samba-swat-3.6.3-78.fc17.1.x86_64
:Target RPM Packages           filesystem-3-2.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc6.git0.2.fc17.x86_64 #1 SMP Mon Mar 5
:                              16:54:07 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Fri 09 Mar 2012 04:54:44 AM EST
:Last Seen                     Fri 09 Mar 2012 04:54:44 AM EST
:Local ID                      515b9edf-552c-424c-88ec-8b0ea5b5973a
:
:Raw Audit Messages
:type=AVC msg=audit(1331286884.192:78): avc:  denied  { read } for  pid=1786 comm="swat" name="sbin" dev="dm-1" ino=13 scontext=system_u:system_r:swat_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=lnk_file
:
:
:type=SYSCALL msg=audit(1331286884.192:78): arch=x86_64 syscall=execve success=no exit=EACCES a0=7f158f309bb8 a1=7fff0105bd30 a2=7f158f510368 a3=7 items=0 ppid=1782 pid=1786 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=swat exe=/usr/sbin/swat subj=system_u:system_r:swat_t:s0-s0:c0.c1023 key=(null)
:
:Hash: swat,swat_t,bin_t,lnk_file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Daniel Walsh 2012-03-09 15:05:55 UTC
Fixed in selinux-policy-3.10.0-99.fc17

Comment 2 Fedora Update System 2012-03-19 17:55:47 UTC
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17

Comment 3 Fedora Update System 2012-03-20 06:08:50 UTC
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-03-21 18:54:42 UTC
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.